| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_ftype_t Struct Reference

Describes a field type and its associated operations for display filtering. More...

`#include <ftypes-int.h>`

## Public Attributes
ftenum_t | ftype
int | wire_size
FvalueNewFunc | new_value
FvalueCopyFunc | copy_value
FvalueFreeFunc | free_value
FvalueFromLiteral | val_from_literal
FvalueFromString | val_from_string
FvalueFromCharConst | val_from_charconst
FvalueFromUnsignedInt64 | val_from_uinteger64
FvalueFromSignedInt64 | val_from_sinteger64
FvalueFromDouble | val_from_double
FvalueToStringRepr | val_to_string_repr
FvalueToUnsignedInt64 | val_to_uinteger64
FvalueToSignedInt64 | val_to_sinteger64
FvalueToDouble | val_to_double
union { |
FvalueSetBytesFunc set_value_bytes |
FvalueSetGuidFunc set_value_guid |
FvalueSetTimeFunc set_value_time |
FvalueSetStrbufFunc set_value_strbuf |
FvalueSetProtocolFunc set_value_protocol |
FvalueSetUnsignedIntegerFunc set_value_uinteger |
FvalueSetSignedIntegerFunc set_value_sinteger |
FvalueSetUnsignedInteger64Func set_value_uinteger64 |
FvalueSetSignedInteger64Func set_value_sinteger64 |
FvalueSetFloatingFunc set_value_floating |
FvalueSetIpv4Func set_value_ipv4 |
FvalueSetIpv6Func set_value_ipv6 |
} | set_value |
| Union of function pointers for setting typed field values.
union { |
FvalueGetBytesFunc get_value_bytes |
FvalueGetGuidFunc get_value_guid |
FvalueGetTimeFunc get_value_time |
FvalueGetStrbufFunc get_value_strbuf |
FvalueGetProtocolFunc get_value_protocol |
FvalueGetUnsignedIntegerFunc get_value_uinteger |
FvalueGetSignedIntegerFunc get_value_sinteger |
FvalueGetUnsignedInteger64Func get_value_uinteger64 |
FvalueGetSignedInteger64Func get_value_sinteger64 |
FvalueGetFloatingFunc get_value_floating |
FvalueGetIpv4Func get_value_ipv4 |
FvalueGetIpv6Func get_value_ipv6 |
} | get_value |
| Union of function pointers for retrieving typed field values.
FvalueCompare | compare
FvalueContains | contains
FvalueMatches | matches
FvalueHashFunc | hash
FvalueIs | is_zero
FvalueIs | is_negative
FvalueIs | is_nan
FvalueLen | len
FvalueSlice | slice
FvalueBinaryOp | bitwise_and
FvalueUnaryOp | unary_minus
FvalueBinaryOp | add
FvalueBinaryOp | subtract
FvalueBinaryOp | multiply
FvalueBinaryOp | divide
FvalueBinaryOp | modulo

## Detailed Description

Describes a field type and its associated operations for display filtering.

This structure defines the behavior of a specific field type (`ftenum_t`) used in protocol dissection and display filtering. It includes functions for creating, converting, comparing, and manipulating values of that type.

## Member Data Documentation

## ◆ add

FvalueBinaryOp _ftype_t::add

Addition operation.

## ◆ bitwise_and

FvalueBinaryOp _ftype_t::bitwise_and

Bitwise AND operation.

## ◆ compare

FvalueCompare _ftype_t::compare

Compares two values of this type.

## ◆ contains

FvalueContains _ftype_t::contains

Checks if one value contains another.

## ◆ copy_value

FvalueCopyFunc _ftype_t::copy_value

Function to copy a value of this type.

## ◆ divide

FvalueBinaryOp _ftype_t::divide

Division operation.

## ◆ free_value

FvalueFreeFunc _ftype_t::free_value

Function to free a value of this type.

## ◆ ftype

ftenum_t _ftype_t::ftype

Enum identifier for the field type.

## ◆ [union]

union { ... } _ftype_t::get_value

Union of function pointers for retrieving typed field values.

Provides type-specific getter functions for extracting values from `fvalue_t`.

## ◆ get_value_bytes

FvalueGetBytesFunc _ftype_t::get_value_bytes

Gets a byte array value.

## ◆ get_value_floating

FvalueGetFloatingFunc _ftype_t::get_value_floating

Gets a floating-point value.

## ◆ get_value_guid

FvalueGetGuidFunc _ftype_t::get_value_guid

Gets a GUID value.

## ◆ get_value_ipv4

FvalueGetIpv4Func _ftype_t::get_value_ipv4

Gets an IPv4 address value.

## ◆ get_value_ipv6

FvalueGetIpv6Func _ftype_t::get_value_ipv6

Gets an IPv6 address value.

## ◆ get_value_protocol

FvalueGetProtocolFunc _ftype_t::get_value_protocol

Gets a protocol-specific value.

## ◆ get_value_sinteger

FvalueGetSignedIntegerFunc _ftype_t::get_value_sinteger

Gets a signed integer value.

## ◆ get_value_sinteger64

FvalueGetSignedInteger64Func _ftype_t::get_value_sinteger64

Gets a 64-bit signed integer.

## ◆ get_value_strbuf

FvalueGetStrbufFunc _ftype_t::get_value_strbuf

Gets a string buffer value.

## ◆ get_value_time

FvalueGetTimeFunc _ftype_t::get_value_time

Gets a time value.

## ◆ get_value_uinteger

FvalueGetUnsignedIntegerFunc _ftype_t::get_value_uinteger

Gets an unsigned integer value.

## ◆ get_value_uinteger64

FvalueGetUnsignedInteger64Func _ftype_t::get_value_uinteger64

Gets a 64-bit unsigned integer.

## ◆ hash

FvalueHashFunc _ftype_t::hash

Computes a hash of the value.

## ◆ is_nan

FvalueIs _ftype_t::is_nan

Checks if the value is NaN.

## ◆ is_negative

FvalueIs _ftype_t::is_negative

Checks if the value is negative.

## ◆ is_zero

FvalueIs _ftype_t::is_zero

Checks if the value is zero.

## ◆ len

FvalueLen _ftype_t::len

Returns the length of the value.

## ◆ matches

FvalueMatches _ftype_t::matches

Checks if a value matches a pattern.

## ◆ modulo

FvalueBinaryOp _ftype_t::modulo

Modulo operation.

## ◆ multiply

FvalueBinaryOp _ftype_t::multiply

Multiplication operation.

## ◆ new_value

FvalueNewFunc _ftype_t::new_value

Function to allocate a new value of this type.

## ◆ [union]

union { ... } _ftype_t::set_value

Union of function pointers for setting typed field values.

Provides type-specific setter functions for assigning values to `fvalue_t`.

## ◆ set_value_bytes

FvalueSetBytesFunc _ftype_t::set_value_bytes

Sets a byte array value.

## ◆ set_value_floating

FvalueSetFloatingFunc _ftype_t::set_value_floating

Sets a floating-point value.

## ◆ set_value_guid

FvalueSetGuidFunc _ftype_t::set_value_guid

Sets a GUID value.

## ◆ set_value_ipv4

FvalueSetIpv4Func _ftype_t::set_value_ipv4

Sets an IPv4 address value.

## ◆ set_value_ipv6

FvalueSetIpv6Func _ftype_t::set_value_ipv6

Sets an IPv6 address value.

## ◆ set_value_protocol

FvalueSetProtocolFunc _ftype_t::set_value_protocol

Sets a protocol-specific value.

## ◆ set_value_sinteger

FvalueSetSignedIntegerFunc _ftype_t::set_value_sinteger

Sets a signed integer value.

## ◆ set_value_sinteger64

FvalueSetSignedInteger64Func _ftype_t::set_value_sinteger64

Sets a 64-bit signed integer.

## ◆ set_value_strbuf

FvalueSetStrbufFunc _ftype_t::set_value_strbuf

Sets a string buffer value.

## ◆ set_value_time

FvalueSetTimeFunc _ftype_t::set_value_time

Sets a time value.

## ◆ set_value_uinteger

FvalueSetUnsignedIntegerFunc _ftype_t::set_value_uinteger

Sets an unsigned integer value.

## ◆ set_value_uinteger64

FvalueSetUnsignedInteger64Func _ftype_t::set_value_uinteger64

Sets a 64-bit unsigned integer.

## ◆ slice

FvalueSlice _ftype_t::slice

Extracts a slice from the value.

## ◆ subtract

FvalueBinaryOp _ftype_t::subtract

Subtraction operation.

## ◆ unary_minus

FvalueUnaryOp _ftype_t::unary_minus

Unary negation operation.

## ◆ val_from_charconst

FvalueFromCharConst _ftype_t::val_from_charconst

Converts from a character constant.

## ◆ val_from_double

FvalueFromDouble _ftype_t::val_from_double

Converts from a double-precision float.

## ◆ val_from_literal

FvalueFromLiteral _ftype_t::val_from_literal

Converts from a literal token.

## ◆ val_from_sinteger64

FvalueFromSignedInt64 _ftype_t::val_from_sinteger64

Converts from a 64-bit signed integer.

## ◆ val_from_string

FvalueFromString _ftype_t::val_from_string

Converts from a string representation.

## ◆ val_from_uinteger64

FvalueFromUnsignedInt64 _ftype_t::val_from_uinteger64

Converts from a 64-bit unsigned integer.

## ◆ val_to_double

FvalueToDouble _ftype_t::val_to_double

Converts to a double-precision float.

## ◆ val_to_sinteger64

FvalueToSignedInt64 _ftype_t::val_to_sinteger64

Converts to a 64-bit signed integer.

## ◆ val_to_string_repr

FvalueToStringRepr _ftype_t::val_to_string_repr

Converts to a string representation.

## ◆ val_to_uinteger64

FvalueToUnsignedInt64 _ftype_t::val_to_uinteger64

Converts to a 64-bit unsigned integer.

## ◆ wire_size

int _ftype_t::wire_size

Size of the field on the wire, in bytes.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/ftypes/ftypes-int.h